#### Description:

A SkyFrame is a specialised form of Frame which describes celestial longitude/latitude coordinate systems. The particular celestial coordinate system to be represented is specified by setting the SkyFrame`’` s System attribute (currently, the default is ICRS) qualified, as necessary, by a mean Equinox value and/or an Epoch.

For each of the supported celestial coordinate systems, a SkyFrame can apply an optional shift of origin to create a coordinate system representing offsets within the celestial coordinate system from some specified reference point. This offset coordinate system can also be rotated to define new longitude and latitude axes. See attributes SkyRef, SkyRefIs, SkyRefP and AlignOffset.

All the coordinate values used by a SkyFrame are in radians. These may be formatted in more conventional ways for display by using astFormat. For a SkyFrame, the Unit attribute describes the formatted value of a SkyFrame axis, and may for instance be `"` h:m:s`"` , indicating that a formatted axis value contains colon-separated fields for hours, minutes and seconds. On the other hand, the InternalUnit attribute for a SkyFrame is always set to `"` rad`"` (i.e. radians), indicating that the unformatted (i.e. floating point) axis values used by application code are always in units of radians

#### Constructor Function

astSkyFrame

#### Inheritance

The SkyFrame class inherits from the Frame class.

#### Attributes

In addition to those attributes common to all Frames, every SkyFrame also has the following attributes:

- AlignOffset: Align SkyFrames using the offset coordinate system?

- AsTime(axis): Format celestial coordinates as times?

- Equinox: Epoch of the mean equinox

- IsLatAxis: Is the specified axis the latitude axis?

- IsLonAxis: Is the specified axis the longitude axis?

- LatAxis: Index of the latitude axis

- LonAxis: Index of the longitude axis

- NegLon: Display longitude values in the range [-pi,pi]?

- Projection: Sky projection description.

- SkyRef: Position defining location of the offset coordinate system

- SkyRefIs: Selects the nature of the offset coordinate system

- SkyRefP: Position defining orientation of the offset coordinate system

- SkyTol: Smallest significant shift in sky coordinates

#### Functions

In addition to those functions applicable to all Frames, the following functions may also be applied to all SkyFrames:

- astSkyOffsetMap: Obtain a Mapping from absolute to offset coordinates

Copyright (C) 2021 East Asian Observatory